
#---------------------------------------------------------------------------

def show_save_dialog():
    import  os
    import  wx

    # This is how you pre-establish a file filter so that the dialog
    # only shows the extension(s) you want it to.
    wildcard = ("jpg file (*.jpg)|*.jpg|All files (*.*)|*.*")

    path = None
    app = wx.App()
    # Create the dialog. In this case the current directory is forced as the starting
    # directory for the dialog, and no default file name is forced. This can easilly
    # be changed in your program. This is an 'save' dialog.
    #
    # Unlike the 'open dialog' example found elsewhere, this example does NOT
    # force the current working directory to change if the user chooses a different
    # directory than the one initially set.
    dlg = wx.FileDialog(
        None, message="Save file as ...", defaultDir=os.getcwd(),
        defaultFile="", wildcard=wildcard, style=wx.SAVE
        )

    # This sets the default filter that the user will initially see. Otherwise,
    # the first filter in the list will be used by default.
    dlg.SetFilterIndex(0)

    # Show the dialog and retrieve the user response. If it is the OK response,
    # process the data.
    if dlg.ShowModal() == wx.ID_OK:
        path = dlg.GetPath()

    dlg.Destroy()
    app.Destroy()

    return path

#-----------------------------------------------------------------------------------

